Skip to content

Rfi Notifications

  • Endpoint: POST /rfiNotifyUrl
  • Tags: Risk

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
versionstringYesAPI version. Current value: 1.4
keyVersionstringYesSignature Algorithm Version, Current value: 1
notifyTimestringYesRequest time, compliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time
appIdstringYesMerchant AppId,The unique identifier assigned to the merchant app by PayerMax
merchantNostringNoMerchant Id, the unique identifier generated when the merchant signs the contract with PayerMax
dataobjectYes
data.rfiNostringYesRFI Unique Identification Number
data.remarkstringYesRFI remarks
data.businessTypestringYesBusiness type: Acquiring business: RECEIPT, local bank receipt: VA_ PAYMENT, Disbursement Business: PAYMENT Example: PAYMENT
data.expireTimestringYesExpire time, compliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time
data.statusstringYesRFI status PASS,REJECT,CLOSE,REVIEW
data.materialListarray[object]NoRFI Associated Material List
data.materialList[].fieldNamestringYesExample of supplementary material name: ID
data.materialList[].fieldTypestringYesMaterial type String: String file: File (link address)
data.relateOrderIdarray[string]YesRFI Associated order number

Example

json
{
  "keyVersion": "1",
  "notifyTime": "2023-10-20T03:28:23.092Z",
  "appId": "{{appId}}",
  "merchantNo": "{{merchantNo}}",
  "data": {
    "rfiNo": "testRFINo001",
    "remark": "test",
    "businessType": "PAYMENT",
    "status": "PASS",
    "relateOrderId": [
      "order0001"
    ],
    "materialList": [
      {
        "fieldName": "ID",
        "fieldType": "file"
      }
    ],
    "expireTime": "2023-10-20T03:28:23.092Z"
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
codestringYesReturn code, ‘SUCCESS’ means success
msgstringYesReturn message, ‘Success’

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.